Module java.base
Package java.lang.annotation

## Class AnnotationTypeMismatchException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.annotation.AnnotationTypeMismatchException

All Implemented Interfaces:
  `Serializable`

    public class AnnotationTypeMismatchException
    extends RuntimeException

Thrown to indicate that a program has attempted to access an element of an annotation whose type has changed after the annotation was compiled (or serialized). This exception can be thrown by the API used to read annotations reflectively.

Since:
  1.5
See Also:
  `AnnotatedElement`, Serialized Form

### Constructor Summary

Constructors
`AnnotationTypeMismatchException​(Method element, String foundType)` Constructs an AnnotationTypeMismatchException for the specified annotation type element and found data type.

### Method Summary

All Methods Instance Methods Concrete Methods
`Method` `element()` Returns the `Method` object for the incorrectly typed element.
`String` `foundType()` Returns the type of data found in the incorrectly typed element.

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AnnotationTypeMismatchException

    public AnnotationTypeMismatchException​(Method element,
                                           String foundType)

Constructs an AnnotationTypeMismatchException for the specified annotation type element and found data type.

Parameters:
  `element` - the `Method` object for the annotation element, may be `null`
  `foundType` - the (erroneous) type of data found in the annotation. This string may, but is not required to, contain the value as well. The exact format of the string is unspecified, may be `null`.

### Method Detail

#### element

    public Method element()

Returns the `Method` object for the incorrectly typed element. The value may be unavailable if this exception has been serialized and then read back in.

Returns:
  the `Method` object for the incorrectly typed element, or `null` if unavailable

#### foundType

    public String foundType()

Returns the type of data found in the incorrectly typed element. The returned string may, but is not required to, contain the value as well. The exact format of the string is unspecified and the string may be `null`.

Returns:
  the type of data found in the incorrectly typed element